<?php
/*
Plugin Name: HTFY Pusher
Plugin URI: https://htfyweb.com/tools/htfy-pusher/
Description: Send and manage push notifications via API.
Version: 1.3.0
Author: HTFY Web
Author URI: https://htfyweb.com/
*/

defined('ABSPATH') or die('No script kiddies please!');

 
add_action('admin_menu', function () {
    add_menu_page(
        'HTFY Pusher',
        'HTFY Pusher',
        'manage_options',
        'htfy-pusher',
        'htfy_pusher_admin_page',
        'dashicons-megaphone'
    );
});

 
function htfy_pusher_admin_page() {
    include plugin_dir_path(__FILE__) . 'admin/index.php';
}

 
 
add_action('admin_head', function () {
    ?>
    <style>
    #message, .updated, .error, .notice, .is-dismissible {
                display: none !important;
            }
        #toplevel_page_htfy-pusher .wp-menu-image {
            background-image: url('<?php echo plugin_dir_url(__FILE__) . 'assets/icon.svg'; ?>') !important;
            background-size: 20px 20px;
            background-repeat: no-repeat;
            background-position: center;
        }
        #toplevel_page_htfy-pusher .wp-menu-image::before {
            content: none !important;
        }
    </style>
    <?php
});
